System Monitor

System Monitor supports detailed monitoring of the utilization of operating system resources.

  • To find features that have been changed in the Windows Server 2003 family of operating systems, see New ways to do familiar tasks.
  • For tips about performance monitoring, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


How to...

  • Work with counters
  • Work with monitoring views
  • Work with data
  • Work with settings


Concepts

This section provides general background information about System Monitor:

  • System Monitor overview
  • Understanding System Monitor
  • Using System Monitor
  • Resources


Understanding System Monitor

This section describes the design and operation of System Monitor:

  • Performance objects and counters
  • Performance tool architecture


Using System Monitor

This section covers:

  • Setting up a monitoring configuration
  • Quick reference to System Monitor settings
  • System Monitor buttons and keyboard shortcut reference
  • System Monitor interface
  • Analyzing performance data
  • Solving performance problems


New ways to do familiar tasks

The following table lists common tasks for System Monitor and maps where you can perform the tasks in the Windows Server 2003 family of operating systems and in Windows 2000. For existing Performance Monitor (Perfmon.exe) users, the table also shows where these tasks are performed in Windows NT Server 4.0. Many of the toolbar buttons remain the same in the three versions and can be used instead of the steps listed in this table.

If you want to | In Windows NT Server 4.0 use | In Windows 2000 or the Windows Server 2003 family use
Create a chart of performance data. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create a report. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create a workspace with multiple views. | Performance Monitor on the Administrative Tools menu. | Microsoft Management Console, Add/Remove Snap-in command on the File menu.